# Uses of Class
javafx.scene.control.Tab

Packages that use Tab
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of Tab in javafx.scene.control

Methods in javafx.scene.control that return types with arguments of type Tab
Modifier and Type
Method
Description
`final SingleSelectionModel<Tab>`
TabPane.`getSelectionModel()`
Gets the model used for tab selection.
`final ObservableList<Tab>`
TabPane.`getTabs()`
The tabs to display in this TabPane.
`final ObjectProperty<SingleSelectionModel<Tab>>`
TabPane.`selectionModelProperty()`
The selection model used for selecting tabs.
Method parameters in javafx.scene.control with type arguments of type Tab
Modifier and Type
Method
Description
`final void`
TabPane.`setSelectionModel(SingleSelectionModel<Tab> value)`
Sets the model used for tab selection.
Constructors in javafx.scene.control with parameters of type Tab
Modifier
Constructor
Description
``
`TabPane(Tab... tabs)`
Constructs a new TabPane with the given tabs set to show.